> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Orders

> Retrieve orders



## OpenAPI

````yaml get /players/orders/{workspaceId}/search
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /players/orders/{workspaceId}/search:
    get:
      tags:
        - Players
      description: Retrieve orders
      parameters:
        - schema:
            type: string
          in: query
          name: q
          required: true
        - schema:
            type: string
          in: query
          name: server
          required: false
        - schema:
            type: boolean
          in: query
          name: excludeNpcOrders
          required: false
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    order_number:
                      type: number
                    items:
                      type: array
                      items:
                        type: string
                    submitted_by:
                      type: string
                    prepared_by:
                      type: string
                    picked_up_by:
                      type: string
                    status:
                      type: string
                      enum:
                        - submitted
                        - handed_to
                        - waiting_for_preparation
                        - finding_new_colleague
                        - preparing
                        - completed
                        - waiting_for_pickup
                        - cancelled
                    customer:
                      type: string
                    _id:
                      type: string
                    createdAt:
                      type: string
                      format: date-time
                    updatedAt:
                      type: string
                      format: date-time
                    game_id:
                      type: string
                    job_id:
                      type: string
                  required:
                    - order_number
                    - items
                    - submitted_by
                    - status
                    - customer
                    - _id
                    - createdAt
                    - updatedAt
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````